## edu.cwru.SimpleRTS.model.prerequisite
Class BuildingPrerequisite

    java.lang.Object
      edu.cwru.SimpleRTS.model.prerequisite.BuildingPrerequisite

All Implemented Interfaces:
  Prerequisite, java.io.Serializable

    public class BuildingPrerequisite

extends java.lang.Object
implements Prerequisite

A prerequisite requiring that the player control a unit with that template id

Author:
  The Condor
See Also:
  Serialized Form

Constructor Summary
`BuildingPrerequisite(int player, int buildingtemplateid)`

Method Summary
`boolean` `isFulfilled(State.StateView state)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BuildingPrerequisite

    public BuildingPrerequisite(int player,
                                int buildingtemplateid)

Method Detail

### isFulfilled

    public boolean isFulfilled(State.StateView state)

  Specified by:
    `isFulfilled` in interface `Prerequisite`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`